<div class="page-screen game-background">
    <div class="page-screen-form">
        <h2 class="text-center">Inicia sesión</h2>
        <nb-alert *ngIf="formErrorMessage" status="danger" closable (close)="formErrorMessage = null">
            {{ formErrorMessage }}
        </nb-alert>
        <form class="auth-form" [formGroup]="form" (submit)="onSubmit()">
            <div class="form-group">
                <input nbInput fullWidth type="text" placeholder="Correo electrónico" formControlName="email">
            </div>
            <div class="form-group">
                <nb-form-field>
                    <input fullWidth placeholder="Contraseña" [type]="showPassword ? 'text' : 'password'" nbInput formControlName="password">
                    <button type="button" nbSuffix nbButton ghost (click)="showPassword = !showPassword">
                        <nb-icon
                            [icon]="showPassword ? 'eye-outline' : 'eye-off-2-outline'"
                            pack="eva"
                            [attr.aria-label]="showPassword ? 'hide password' : 'show password'">
                        </nb-icon>
                    </button>
                </nb-form-field>
            </div>
            <div class="form-actions">
                <button nbButton status="success" fullWidth type="submit" [disabled]="form.invalid">Iniciar sesión</button>
            </div>
        </form>
        <div class="text-right mt-4">
            ¿No tienes una cuenta? <a routerLink="/sign-up">Regístrate</a>
        </div>
    </div>
</div>
